[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.AddHistoryItem

AddHistoryItem - Add an Item as first entry in History List

## Declaration

Source position: line 0

`public procedure TCustomComboBox.AddHistoryItem(`
`const Item: String;`
`MaxHistoryCount: Integer;`
`SetAsText: Boolean;`
`CaseSensitive: Boolean`
`); procedure TCustomComboBox.AddHistoryItem(`
`const Item: String;`
`AnObject: TObject;`
`MaxHistoryCount: Integer;`
`SetAsText: Boolean;`
`CaseSensitive: Boolean`
`);`

## Arguments

`Item` |  | The item to be addd to the list
`MaxHistoryCount` |  | The maximum number of items that can be added to the history
`SetAsText` |  | Whether the item is to be set as text
`CaseSensitive` |  | Whether the item is added in a case sensitive manner (eg determines how they are sorted)

## Arguments

`Item` |  | The item to be addd to the list
`AnObject` |  | The history item to be added, expressed as an object
`MaxHistoryCount` |  | The maximum number of items that can be added to the history
`SetAsText` |  | Whether the item is to be set as text
`CaseSensitive` |  | Whether the item is added in a case sensitive manner (eg determines how they are sorted)

## Description

AddHistoryItem - Add an Item as first entry in History List

Removes the Item from old position and removes last item if history is full

The latest version of this document can be found at lazarus-ccr.sourceforge.net.